org.apache.ignite.internal.processors.igfs

## Class IgfsAttributes

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsAttributes

All Implemented Interfaces:
  Externalizable, Serializable

    public class IgfsAttributes
    extends Object
    implements Externalizable

IGFS attributes.

This class contains information on a single IGFS configured on some node.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgfsAttributes()` Public no-arg constructor for `Externalizable`.
`IgfsAttributes(String igfsName, int blockSize, int grpSize, String metaCacheName, String dataCacheName, IgfsMode dfltMode, Map<String,IgfsMode> pathModes, boolean fragmentizerEnabled)`

### Method Summary

Methods
`int` `blockSize()`
`String` `dataCacheName()`
`IgfsMode` `defaultMode()`
`boolean` `fragmentizerEnabled()`
`int` `groupSize()`
`String` `igfsName()`
`String` `metaCacheName()`
`Map<String,IgfsMode>` `pathModes()`
`void` `readExternal(ObjectInput in)`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IgfsAttributes

    public IgfsAttributes(String igfsName,
                  int blockSize,
                  int grpSize,
                  String metaCacheName,
                  String dataCacheName,
                  IgfsMode dfltMode,
                  Map<String,IgfsMode> pathModes,
                  boolean fragmentizerEnabled)

Parameters:
  `igfsName` - IGFS name.
  `blockSize` - File's data block size (bytes).
  `grpSize` - Size of the group figured in `IgfsGroupDataBlocksKeyMapper`.
  `metaCacheName` - Meta cache name.
  `dataCacheName` - Data cache name.
  `dfltMode` - Default mode.
  `pathModes` - Path modes.

#### IgfsAttributes

    public IgfsAttributes()

Public no-arg constructor for `Externalizable`.

### Method Detail

#### igfsName

    public String igfsName()

Returns:
  IGFS name.

#### blockSize

    public int blockSize()

Returns:
  File's data block size (bytes).

#### groupSize

    public int groupSize()

Returns:
  Size of the group figured in `IgfsGroupDataBlocksKeyMapper`.

#### metaCacheName

    public String metaCacheName()

Returns:
  Metadata cache name.

#### dataCacheName

    public String dataCacheName()

Returns:
  Data cache name.

#### defaultMode

    public IgfsMode defaultMode()

Returns:
  Default mode.

#### pathModes

    public Map<String,IgfsMode> pathModes()

Returns:
  Path modes.

#### fragmentizerEnabled

    public boolean fragmentizerEnabled()

Returns:
  `True` if fragmentizer is enabled.

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015